LINUX.ORG.RU

После установки amdgpu-pro перестали запускаться игры

 , , ,


0

1

Система:

inxi -Fz
System:    Kernel: 4.14.74-1-default x86_64 bits: 64 Desktop: KDE Plasma 5.12.6
           Distro: openSUSE Leap 15.0
Machine:   Device: desktop Mobo: ASUSTeK model: SABERTOOTH 990FX v: Rev 1.xx serial: N/A
           BIOS: American Megatrends v: 0901 date: 11/24/2011
CPU:       Hexa core AMD FX-6200 Six-Core (-MCP-) cache: 12288 KB
           clock speeds: max: 2852 MHz 1: 1882 MHz 2: 2048 MHz 3: 2797 MHz 4: 1813 MHz 5: 1753 MHz 6: 2852 MHz
Graphics:  Card: Advanced Micro Devices [AMD/ATI] Ellesmere [Radeon RX 470/480/570/580]
           Display Server: x11 (X.Org 1.19.6 ) drivers: ati,amdgpu (unloaded: modesetting,fbdev,vesa,radeon)
           Resolution: 1920x1080@60.00hz, 1680x1050@59.88hz
           OpenGL: renderer: Radeon RX 570 Series version: 4.5.13542
Audio:     Card-1 Advanced Micro Devices [AMD/ATI] Ellesmere [Radeon RX 580] driver: snd_hda_intel
           Card-2 Advanced Micro Devices [AMD/ATI] SBx00 Azalia (Intel HDA) driver: snd_hda_intel
           Sound: Advanced Linux Sound Architecture v: k4.14.74-1-default
Network:   Card: Realtek RTL8111/8168/8411 PCI Express Gigabit Ethernet Controller driver: r8169
           IF: eth1 state: up speed: 1000 Mbps duplex: full mac:  
Разжился новенькой RX570 от Sapphire о 8 гигах памяти. Поставил дрова от AMD 18.50. И всё. Часть игр теперь говорит следующее:
libGL error: No matching fbConfigs or visuals found
libGL error: failed to load driver: radeonsi
libGL error: No matching fbConfigs or visuals found
libGL error: failed to load driver: radeonsi
libGL error: No matching fbConfigs or visuals found
libGL error: failed to load driver: swrast

glxinfo | egrep -i 'render|opengl'
direct rendering: Yes
    GLX_INTEL_swap_event, GLX_MESA_copy_sub_buffer, GLX_MESA_query_renderer, 
OpenGL vendor string: Advanced Micro Devices, Inc.
OpenGL renderer string: Radeon RX 570 Series
OpenGL core profile version string: 4.5.13542 Core Profile Context
OpenGL core profile shading language version string: 4.60
.....

Path Of Exile не запускается сейчас ни как DX9, ни как DX11. DXVK стоит 0.93 vulkaninfo смущает надписью, что чего-то нет:

===========
VULKAN INFO
===========

Vulkan API Version: 1.0.65

ERROR: [loader] Code 0 : libVkICD_mock_icd.so: cannot open shared object file: No such file or directory
Instance Extensions:
====================
Instance Extensions     count = 12
        VK_KHR_surface                      : extension revision 25
        VK_KHR_xcb_surface                  : extension revision  6
        VK_KHR_xlib_surface                 : extension revision  6
        VK_KHR_get_physical_device_properties2: extension revision  1
        VK_KHR_get_surface_capabilities2    : extension revision  1
        VK_KHR_external_memory_capabilities : extension revision  1
        VK_KHR_external_semaphore_capabilities: extension revision  1
        VK_KHR_external_fence_capabilities  : extension revision  1
        VK_EXT_debug_report                 : extension revision  9
        VK_KHR_display                      : extension revision 21
        VK_EXT_acquire_xlib_display         : extension revision  1
        VK_EXT_direct_mode_display          : extension revision  1


Layers: count = 14
Кто может подсказать что ещё нужно подкрутить, чтобы всё заработало нормально? Раньше при переключении между Mesa и fglrx ничего не надо было делать. Хотя я помню, что такая надпись уже встречалась когда-то, но в упор не помню уже, как исправлялась.

Удали amdgpu-pro и все должно работать из коробки, ядро 4.14 уже должно быть с нужным drm и в дистрибутиве наверняка mesa 18. Кому ненужно OpenCL лучше пользоваться свободными дравами. У меня rx470 и никогда с свободными проблем не было, пару раз попытался использовать проприетарные - загружался в черный экран.

Раньше при переключении между Mesa и fglrx ничего не надо было делать.

А с fglrx с hd5700 помню вообще ASIC hangs.

anonymous ()

Если ты ставил проприетарный драйвер, то здесь:

GLX_INTEL_swap_event, GLX_MESA_copy_sub_buffer, GLX_MESA_query_renderer,

не должно быть упомнаний MESA.

Это сообщение:

libGL error: No matching fbConfigs or visuals found
так же указывает, что загружается не та версия LibGL.

В общем, разбирайся как правильно ставить проприетарый драйвер, а лучше используй открытый драйвер.

anonymous ()

> failed to load driver: radeonsi

This. Как исправить - не знаю. Попробуй создать файл /etc/modprobe.d/blacklist.conf со следующим содержимым:

blacklist radeonsi

Если файл с таким именем уже есть - то допиши это в конец (или создай файл с любым другим именем)

ZenitharChampion ★★★★★ ()
Последнее исправление: ZenitharChampion (всего исправлений: 1)
Ответ на: комментарий от anonymous

> Это сообщение:

> libGL error: No matching fbConfigs or visuals found

> так же указывает, что загружается не та версия LibGL

У меня когда-то так было на NVIDIA. Решил созданием файла /etc/ld.so.conf.d/nvidia.conf со следующим содержимым:

/usr/X11R6/lib64
/usr/X11R6/lib

В этих директориях находился нужный мне OpenGL (файл libGL.so.1). А где он находится у amdgpu-pro я не знаю - нужно открывать YAST2 и смотреть список файлов этого пакета

ZenitharChampion ★★★★★ ()
Ответ на: комментарий от eR

А где вpять icd?? В репозиториях есть только libvulka1, который предоставляет .json, но не предоставляет сам какой-либо .so. Закрытый драйвер предоставляет icd и всё х64 работает нормально.

«rev 1.x же» А вот хз, почему система определяет, как первую ревизию. На коробке, на материнке и в биосе написано, что вторая. То, чего нет у первой, но есть у второй - у меня есть.

PearlyDragon ()
Ответ на: комментарий от eR

Спасибо. Вообще всё таки заработало. icd - есть в amdgpu-pro, но при установке .json стандартный надо затереть. Вот после этого заработало. Правда х64, ибо почему-то в пакете для SLES15 нет х86 библиотек, а в остальных пакетах они есть. Слил RHEL, ибо там тоже .rpm, оставил - вроде бы работет. StarCitizen запустился с приличными fps, Warframe и PathOfExile тоже в режиме DX11, через DXVK пошли прекрасно. POE в режиме DX9 падало при прохождении первого-второго портала, а тут нормально, и редко когда проседают fps.

PearlyDragon ()
Ответ на: комментарий от PearlyDragon

Скачал по ссылке, зашёл в папку llvm, сказал собрать и удивился - оно занимает 10+ гигов. У меня нет столько места в корне. Там всего 5 гигов осталось. Остальное соберётся после того как поставиться llvm. Чёрт его знает, наберётся ли гигов 6 в корне свободного места под библиотеки открытых дров...

PearlyDragon ()